name: Apache ShardingSphere Operator
services:
  compute-node:
    name: compute-node
    type: ComputeNode
    apiVersion: shardingsphere.apache.org/v1alpha1
    namespace: default
    version: 0.2.0
    model: apache-shardingsphere-operator-charts
    traits:
      meshmap:
        edges: []
        id: a0aadd30-cc12-4ac9-a744-ca17834f78d2
        label: compute-node
        meshmodel-data:
          category:
            metadata: null
            name: App Definition and Development
          displayName: Apache Shardingsphere Operator Charts
          metadata:
            svgColor: ui/public/static/img/meshmodels/apache-shardingsphere-operator-charts/color/apache-shardingsphere-operator-charts-color.svg
            svgWhite: ui/public/static/img/meshmodels/apache-shardingsphere-operator-charts/white/computenode-white.svg
          name: apache-shardingsphere-operator-charts
          version: 0.2.0
        meshmodel-metadata:
          genealogy: ""
          logoURL: https://layer5.io/company/brand
          model: apache-shardingsphere-operator-charts
          modelDisplayName: Apache Shardingsphere Operator Charts
          primaryColor: '#F26F23'
          published: true
          secondaryColor: '#00D3A9'
          shape: circle
          styleOverrides: ""
          subCategory: Database
          svgColor: ui/public/static/img/meshmodels/apache-shardingsphere-operator-charts/color/computenode-color.svg
          svgComplete: ""
          svgWhite: ui/public/static/img/meshmodels/apache-shardingsphere-operator-charts/white/computenode-white.svg
        position:
          posX: 232.26898052176898
          posY: 141.61320133847747
  deployment:
    name: deployment
    type: Deployment
    apiVersion: apps/v1
    namespace: default
    version: v1.25.2
    model: kubernetes
    traits:
      meshmap:
        edges: []
        id: c08fd490-d4d3-4088-b1ce-aa72a7992882
        label: deployment
        meshmodel-data:
          category:
            metadata: null
            name: Orchestration & Management
          displayName: Kubernetes
          metadata:
            svgColor: ui/public/static/img/meshmodels/kubernetes/color/apiservice-color.svg
            svgWhite: ui/public/static/img/meshmodels/kubernetes/white/apiservice-white.svg
          name: kubernetes
          version: v1.25.2
        meshmodel-metadata:
          genealogy: parent
          isCustomResource: false
          isNamespaced: true
          logoURL: Created by Lee
          model: kubernetes
          modelDisplayName: Kubernetes
          primaryColor: '#326CE5'
          published: true
          secondaryColor: '#7aa1f0'
          shape: round-pentagon
          styleOverrides: '{"background-image":"none","border-width":2,"background-opacity":0.5}'
          subCategory: Scheduling & Orchestration
          svgColor: ui/public/static/img/meshmodels/kubernetes/color/deployment-color.svg
          svgComplete: ui/public/static/img/meshmodels/kubernetes/complete/deployment-complete.svg
          svgWhite: ui/public/static/img/meshmodels/kubernetes/color/deployment-color.svg
        position:
          posX: 285.31731780091883
          posY: 100.5343330041288
  service:
    name: service
    type: Service
    apiVersion: serving.knative.dev/v1
    namespace: "8080"
    version: 0.4.5
    model: knative
    traits:
      meshmap:
        edges: []
        id: e59b446f-f4ba-4dba-a8b6-d2b83cc00352
        label: service
        meshmodel-data:
          category:
            metadata: null
            name: Serverless
          displayName: Knative
          metadata:
            svgColor: ui/public/static/img/meshmodels/knative/color/certificate-color.svg
            svgWhite: ""
          name: knative
          version: 0.4.5
        meshmodel-metadata:
          genealogy: ""
          logoURL: https://github.com/cncf/artwork/blob/master/examples/incubating.md#knative-logos
          model: knative
          modelDisplayName: Knative
          primaryColor: '#0865ad'
          published: true
          secondaryColor: '#4DAAF2'
          shape: circle
          styleOverrides: ""
          subCategory: Installable Platform
          svgColor: ui/public/static/img/meshmodels/knative/color/certificate-color.svg
          svgComplete: ""
          svgWhite: ""
        position:
          posX: 360.46875
          posY: 107.828125
